{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}{% assign current_url = '' %}
{% case template %}
  {% when 'page' %}
    {% assign current_url = page.url %}
  {% when 'blog' %}
    {% assign current_url = blog.url %}
  {% when 'article' %}
    {% assign current_url = blog.url %}
  {% when 'collection' %}
    {% assign current_url = collection.url %}
  {% when 'product' %}
    {% assign current_url = product.url %}
  {% when 'index' %}
    {% assign current_url = 'home' %}
{% endcase %}

{% for block in section.blocks %}
  {% assign location = block.settings.location %}
  {% unless block.settings.location %}
    {% assign location = 'home' %}
  {% endunless %}

  {% if location == current_url %}
    {% if block.settings.link %}
      <a href="{{ block.settings.link }}">
    {% endif %}
    {% if block.type == 'centered-image' %}
      <section class="chalkboard" style="background: {{ block.settings.color }};">
        {{ block.settings.desktop_image | img_tag: block.settings.title, 'chalkboard-image', '<ly-as-10725362>master</ly-as-10725362>' }}
    {% else %}
      <section  class="chalkboard" 
                data-desktop-image="{{ block.settings.desktop_image | img_url: 'master' }}"
                data-mobile-image="{{ block.settings.mobile_image | img_url: 'master' }}">
    {% endif %}

    </section><!-- ".{{ section.class }}" -->
    {% if block.settings.link %}
      </a>
    {% endif %}
  {% endif %}
{% endfor %}

{% schema %}
{
  "name": "Chalkboard",
  "class": "section-chalkboard",
  "blocks": [
    {
      "type": "centered-image",
      "name": "Centered-Image Board",
      "settings": [
        {
          "id": "title",
          "type": "text",
          "label": "Board Title",
          "placeholder": "CSM SS/16"
        },
        {
          "id": "location",
          "type": "url",
          "label": "Board Location",
          "info": "What page does this chalkboard appear on?"
        },
        {
          "id": "link",
          "type": "url",
          "label": "Board Link",
          "info": "What page does this chalkboard link to? Leave blank to omit link."
        },
        {
          "id": "color",
          "type": "color",
          "label": "Board Background Color",
          "default": "#000000"
        },
        {
          "id": "text_color",
          "type": "color",
          "label": "Text Color",
          "default": "#ffffff"
        },
        {
          "id": "desktop_image",
          "type": "image_picker",
          "label": "Desktop Image"
        },
        {
          "id": "mobile_image",
          "type": "image_picker",
          "label": "Mobile Image"
        }
      ]
    },
    {
      "type": "full-bleed",
      "name": "Full-Bleed Image Board",
      "settings": [
        {
          "id": "title",
          "type": "text",
          "label": "Board Title",
          "placeholder": "CSM SS/16"
        },
        {
          "id": "location",
          "type": "url",
          "label": "Board Location",
          "info": "What page does this chalkboard appear on? Leave blank to appear on homepage."
        },
        {
          "id": "link",
          "type": "url",
          "label": "Board Link",
          "info": "What page does this chalkboard link to? Leave blank to omit link."
        },
        {
          "id": "color",
          "type": "color",
          "label": "Board Background Color",
          "default": "#000000"
        },
        {
          "id": "text_color",
          "type": "color",
          "label": "Text Color",
          "default": "#ffffff"
        },
        {
          "id": "desktop_image",
          "type": "image_picker",
          "label": "Desktop Image"
        },
        {
          "id": "mobile_image",
          "type": "image_picker",
          "label": "Mobile Image"
        }
      ]
    }
  ],
  "presets": [
    {
      "name": "CSM Chalkboard",
      "category": "CSM Layout"
    }
  ]
}
{% endschema %}